===============================================================
IBM Tivoli Storage Manager, Diagnostic 

Version 5, Release 3, Modification Level 0. 

Licensed Materials - Property of IBM

5608-ISM
5608-ISX

(C) Copyright International Business Machines Corp. 2004.
All rights reserved.

US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with
IBM Corporation
===============================================================

1. Purpose of TSM Diagnostic utility
2. Supported Operating environments and TSM Components 
3. How to use TSM Diagnostic utility
4. Guidelines for updating the configuration file
5. Known limitations and solutions


1. Purpose of TSM Diagnostic utility

The purpose of the TSM Diagnostic(tsmdiag) utility is to ease and speed up the
process for gathering data that is considered valuable to assist in 
diagnosing a problem caused by a TSM component. 
There is a set of data that tsmdiag collects by default. 
This data is specified in a configuration file called configfile.txt. 
If at any point more data is identified as valuable to diagnose any 
particular problem from a TSM component, users will be instructed to 
modify the configuration file used by tsmdiag so that such data is  
collected be the tsmdiag utility. 

It is strongly recommended that users execute tsmdiag on the system
where the TSM Component with a problem is installed. This should be done 
before submitting a problem to IBM TSM Customer Suppport. The data 
collected by tsmdiag should be submitted along with the problem report. 

2.Supported Operating environments and TSM Components

----------------------------------------------------------
| Operating Environment        |        TSM Component    |
----------------------------------------------------------
Linux for                      |                         |
x, p, z, and iSeries servers   |  TSM Server             |
                               |  TSM Storage Agent      |
                               |  TSM Device Driver      |
----------------------------------------------------------
                               |                         |
                               |  TSM Server             |
AIX                            |  TSM Storage Agent      |
                               |  TSM Device Driver      |
                               |                         |
----------------------------------------------------------
                               |                         |
                               |  TSM Server             |
HP-UX                          |  TSM Storage Agent      |
                               |  TSM Device Driver      |
                               |                         |
----------------------------------------------------------
                               |                         |
                               |  TSM Server             |
Sun Solaris                    |  TSM Storage Agent      |
                               |  TSM Device Driver      |
                               |                         |
----------------------------------------------------------
                               |                         |
                               |  TSM Server             |
Microsoft Windows              |  TSM Storage Agent      |
                               |  TSM Device Driver      |
                               |  TSM Management Console |
                               |                         |
----------------------------------------------------------
NOTE: tsmdiag utility is not installed with the 
TSM Device Driver, or with the TSM Management Console, however, 
if these components are installed on the system where tsmdiag
is executed, tsmdiag will collect data for these components.

3. How to use TSM Diagnostic utility

The tsmdiag utility is installed with supported TSM components, under
the component's install directory.  For the TSM Server on Linux, for instance,
tsmdiag utility can be found under opt/tivoli/tsm/server/bin/tsmdiag/.
For default install location of TSM Server on your platform, see the
Installation Guide the corresponding platform.

Usage:

tsmdiag [options]

Where options can be any combination of the following:

 Option                      Description                           Default
 ----------------------------------------------------------------------------

 -id adminname               TSM server administrator id           admin
 -pa adminpwd                TSM server administrator password     admin
 -tcpserveraddress ipaddress TSM server tcp/ip name or address     localhost
 -tcpport                    TSM server tcp/ip port                1500
 -results                    Directory for created files           ($cwd)/results
 -v                          verbosely list activity processed     non-verbose
 -?                          Display this usage information

Examples:

./tsmdiag
./tsmdiag -v 
./tsmdiag -id tsmadmin -pa pwd4u -results /home/tsmdiag/results_oct29
 

NOTE for TSM Servers Environments on Unix: 
If you're running multiple servers on the same system, you must set
the DSMSERV_DIR and DSMSERV_CONFIG environment variables. Failure to do this
will prevent tsmdiag from finding data for the desired server.

4. Guidelines for updating the configuration file

Each line in the configuration file consists of five
fields. Each field is separated by comma. A line that begins with
an asterisk(*) is considered a comment and is ignored by the tsmdiag utility.

The first field of a line in the configuration file denotes the operating system
where tsmdiag is ran. Valid platforms are Linux, AIX, HP, SUN, and Windows.
The second field in the line denotes an action. Valid actions are:

SYSCOMMAND    - run a command on the system
COMPCOMMAND   - run a command on a TSM component
COPY          - copy a given file
REGISTRY      - get the value for a given registry key (Windows only)

The third field denotes the TSM component ( i.e. component for which tsmdiag 
will collect data).

Valid components are: 
SERVER
STAGENT 
BACLIENT (Unix only)
MGMTCONSOLE(Windows only)
DEVDRIVER
SYSTEM

The fourth field denotes the data that the action will act upon.
The data field can be a file name, a system command, a command for 
a TSM component, a registry key, et, depending on the action.

The last field is optional, and it denotes the location of where the data collected
is to be stored.

5. Known limitations and solutions
 
On HP, tsmdiag assumes that the TSM component and related files is 
installed under the /opt file system. If the TSM component is not installed there,
tsmdiag will not be able to collect files associated with the TSM component.
This is a limitation and will be fixed in a future release of the utility.
